Package org.kapott.hbci.passport

# Interface HBCIPassportInternal

All Superinterfaces:
  `HBCIPassport`

All Known Implementing Classes:
  `AbstractDDVPassport`, `AbstractHBCIPassport`, `AbstractPinTanPassport`, `AbstractRDHPassport`, `AbstractRDHSWFileBasedPassport`, `AbstractRDHSWPassport`, `HBCIPassportAnonymous`, `HBCIPassportDDV`, `HBCIPassportDDVPCSC`, `HBCIPassportPinTan`, `HBCIPassportPinTanMemory`, `HBCIPassportRAH10`, `HBCIPassportRDHNew`, `HBCIPassportRDHXFile`, `HBCIPassportRSA`, `HBCIPassportSIZRDHFile`

public interface HBCIPassportInternal extends HBCIPassport
Interface, welches alle Passport-Varianten implementieren müssen. Diese Schnittstelle wird nur intern verwendet. Sie beschreibt alle Methoden, die ein Passport zur Verfügung stellen muss, um von HBCI4Java benutzt werden zu können. Dieses Interface ist nicht zur Anwendung hin sichtbar (deshalb auch "`Internal`").

## Field Summary

### Fields inherited from interface org.kapott.hbci.passport.HBCIPassport

`ROLE_CON, ROLE_ISS, ROLE_WIT`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canMixSecMethods()`
`void`
`clearMyDigKey()`
`void`
`clearMyEncKey()`
`void`
`clearMySigKey()`
`void`
`closeComm()`
`byte[]`
`decrypt(byte[] cryptedKey, byte[] encryptedMsg)`
`byte[][]`
`encrypt(byte[] plainMsg)`
`HBCIKey[][]`
`generateNewUserKeys()`
`String`
`getCID()`
`Comm`
`getComm()`
`Filter`
`getCommFilter()`
`String`
`getCryptAlg()`
`String`
`getCryptFunction()`
`String`
`getCryptKeyType()`
`String`
`getCryptMode()`
`String`
`getHashAlg()`
`String`
`getInstEncKeyName()`
`String`
`getInstEncKeyNum()`
`String`
`getInstEncKeyVersion()`
`String`
`getInstSigKeyName()`
`String`
`getInstSigKeyNum()`
`String`
`getInstSigKeyVersion()`
`Properties`
`getJobRestrictions(String specname)`
`Properties`
`getJobRestrictions(String gvname, String version)`
`String`
`getLang()`
`int`
`getMaxGVSegsPerMsg()`
`String`
`getMyEncKeyName()`
`String`
`getMyEncKeyNum()`
`String`
`getMyEncKeyVersion()`
`String`
`getMySigKeyName()`
`String`
`getMySigKeyNum()`
`String`
`getMySigKeyVersion()`
`Properties`
`getParamSegmentNames()`
`IHandlerData`
`getParentHandlerData()`
`String`
`getPassportTypeName()`
`Object`
`getPersistentData(String id)`
`String`
`getProfileMethod()`
`String`
`getProfileVersion()`
`String`
`getSigAlg()`
`String`
`getSigFunction()`
`Long`
`getSigId()`
`String`
`getSigMode()`
`String`
`getSysId()`
`String`
`getSysStatus()`
`byte[]`
`hash(byte[] data)`
`void`
`incSigId()`
`boolean`
`isAnonymous()`
`boolean`
`needUserSig()`
`void`
`onDialogEvent(DialogEvent event, DialogContext ctx)`
Wird bei einem Dialog-Event ausgefuehrt.
`void`
`resetPassphrase()`
`void`
`setBPD(Properties bpd)`
`void`
`setCID(String cid)`
`void`
`setHBCIVersion(String hbciversion)`
`void`
`setInstEncKey(HBCIKey key)`
`void`
`setInstSigKey(HBCIKey key)`
`void`
`setMyPrivateDigKey(HBCIKey key)`
`void`
`setMyPrivateEncKey(HBCIKey key)`
`void`
`setMyPrivateSigKey(HBCIKey key)`
`void`
`setMyPublicDigKey(HBCIKey key)`
`void`
`setMyPublicEncKey(HBCIKey key)`
`void`
`setMyPublicSigKey(HBCIKey key)`
`void`
`setParentHandlerData(IHandlerData handler)`
`void`
`setPersistentData(String id, Object o)`
`void`
`setProfileMethod(String method)`
`void`
`setProfileVersion(String version)`
`void`
`setSigId(Long sigid)`
`void`
`setSysId(String sysid)`
`void`
`setUPD(Properties upd)`
`byte[]`
`sign(byte[] data)`
`boolean`
`verify(byte[] data, byte[] sig)`

### Methods inherited from interface org.kapott.hbci.passport.HBCIPassport

`changePassphrase, clearBPD, clearInstEncKey, clearInstSigKey, clearUPD, close, fillAccountInfo, getAccount, getAccounts, getBLZ, getBPD, getBPDVersion, getClientData, getCountry, getCustomerId, getCustomerId, getDefaultLang, getFilterType, getHBCIVersion, getHost, getInstEncKey, getInstName, getInstSigKey, getMaxGVperMsg, getMaxMsgSizeKB, getMyPrivateDigKey, getMyPrivateEncKey, getMyPrivateSigKey, getMyPublicDigKey, getMyPublicEncKey, getMyPublicSigKey, getPort, getSuppCompMethods, getSuppLangs, getSuppSecMethods, getSuppVersions, getUPD, getUPDVersion, getUserId, hasInstEncKey, hasInstSigKey, hasMyEncKey, hasMySigKey, isSupported, needInstKeys, needUserKeys, onlyBPDGVs, saveChanges, setBLZ, setClientData, setCountry, setCustomerId, setFilterType, setHost, setPort, setUserId, syncSigId, syncSysId`

## Method Details

### getPassportTypeName

String getPassportTypeName()

### getComm

Comm getComm()

### getCommFilter

Filter getCommFilter()

### closeComm

void closeComm()

### setHBCIVersion

void setHBCIVersion(String hbciversion)

### getSysId

String getSysId()

### getCID

String getCID()

### getSysStatus

String getSysStatus()

### getProfileMethod

String getProfileMethod()

### getProfileVersion

String getProfileVersion()

### needUserSig

boolean needUserSig()

### setInstSigKey

void setInstSigKey(HBCIKey key)

### setInstEncKey

void setInstEncKey(HBCIKey key)

### clearMySigKey

void clearMySigKey()

### clearMyEncKey

void clearMyEncKey()

### clearMyDigKey

void clearMyDigKey()

### setMyPublicSigKey

void setMyPublicSigKey(HBCIKey key)

### setMyPrivateSigKey

void setMyPrivateSigKey(HBCIKey key)

### setMyPublicEncKey

void setMyPublicEncKey(HBCIKey key)

### setMyPrivateEncKey

void setMyPrivateEncKey(HBCIKey key)

### setMyPublicDigKey

void setMyPublicDigKey(HBCIKey key)

### setMyPrivateDigKey

void setMyPrivateDigKey(HBCIKey key)

### getInstSigKeyName

String getInstSigKeyName()

### getInstSigKeyNum

String getInstSigKeyNum()

### getInstSigKeyVersion

String getInstSigKeyVersion()

### getInstEncKeyName

String getInstEncKeyName()

### getInstEncKeyNum

String getInstEncKeyNum()

### getInstEncKeyVersion

String getInstEncKeyVersion()

### getMySigKeyName

String getMySigKeyName()

### getMySigKeyNum

String getMySigKeyNum()

### getMySigKeyVersion

String getMySigKeyVersion()

### getMyEncKeyName

String getMyEncKeyName()

### getMyEncKeyNum

String getMyEncKeyNum()

### getMyEncKeyVersion

String getMyEncKeyVersion()

### canMixSecMethods

boolean canMixSecMethods()

### getLang

String getLang()

### getSigId

Long getSigId()

### getCryptKeyType

String getCryptKeyType()

### getCryptFunction

String getCryptFunction()

### getCryptAlg

String getCryptAlg()

### getCryptMode

String getCryptMode()

### getSigFunction

String getSigFunction()

### getSigAlg

String getSigAlg()

### getSigMode

String getSigMode()

### getHashAlg

String getHashAlg()

### setBPD

void setBPD(Properties bpd)

### setUPD

void setUPD(Properties upd)

### setSigId

void setSigId(Long sigid)

### setSysId

void setSysId(String sysid)

### setCID

void setCID(String cid)

### incSigId

void incSigId()

### setProfileMethod

void setProfileMethod(String method)

### setProfileVersion

void setProfileVersion(String version)

### generateNewUserKeys

HBCIKey[][] generateNewUserKeys()

### hash

byte[] hash(byte[] data)

### sign

byte[] sign(byte[] data)

### verify

boolean verify(byte[] data, byte[] sig)

### encrypt

byte[][] encrypt(byte[] plainMsg)

### decrypt

byte[] decrypt(byte[] cryptedKey, byte[] encryptedMsg)

### getParamSegmentNames

Properties getParamSegmentNames()

### getJobRestrictions

Properties getJobRestrictions(String specname)

### getJobRestrictions

Properties getJobRestrictions(String gvname, String version)

### setPersistentData

void setPersistentData(String id, Object o)

### getPersistentData

Object getPersistentData(String id)

### resetPassphrase

void resetPassphrase()

### isAnonymous

boolean isAnonymous()

### setParentHandlerData

void setParentHandlerData(IHandlerData handler)

### getParentHandlerData

IHandlerData getParentHandlerData()

### onDialogEvent

void onDialogEvent(DialogEvent event, DialogContext ctx)
Wird bei einem Dialog-Event ausgefuehrt.

Parameters:
  `event` - das Event.
  `ctx` - der Dialog-Kontext.

### getMaxGVSegsPerMsg

int getMaxGVSegsPerMsg()